# Drupal DXP

Drupal DXP is an extension of Drupal CMS, built on Drupal core, aimed on being a quick start for a suite of CMS, MA and CDP capacities.

## Getting started

If you want to use [DDEV](https://ddev.com) to run Drupal CMS locally, follow these instructions:

1. Install DDEV following the [documentation](https://ddev.com/get-started/)
2. Open the command line and `cd` to the root directory of this project
3. Run the following commands:
```shell
ddev config --project-type=drupal11 --docroot=docroot
ddev start
ddev composer install
ddev launch
```

Drupal DXP has the same system requirements as Drupal core, so you can use your preferred setup to run it locally. [See the Drupal User Guide for more information](https://www.drupal.org/docs/user_guide/en/installation-chapter.html) on how to set up Drupal.

### Installation options

The Drupal DXP installer offers a list of features preconfigured with smart defaults. You will be able to customize whatever you choose, and add additional features, once you are logged in.

After the installer is complete, you will land on the dashboard.

## Documentation

Drupal DXP specifics can be found at https://www.drupal.org/project/drupal_dxp.

For more information about Drupal CMS, on which DXP is based, see https://www.drupal.org/project/drupal_cms/issues/3454527.

In the meantime, learn more about managing a Drupal-based application in the [Drupal User Guide](https://www.drupal.org/docs/user_guide/en/index.html).
